Summary: Burn-in post-assembly tests for the Netwinder
Name: testscripts
%define version 0.7
Version: %{version}
Release: 2
Copyright: GPL
Group: Utilites/System
Source: testscripts-%{version}.tar.gz
Patch0: testscripts-0.7-time.patch
BuildRoot: /var/tmp/testscripts-root
ExclusiveArch: armv4l
ExclusiveOs: linux

%description
This package contains various scripts which are used test the hardware of a 
Netwinder fresh off the assembly line

%prep
%setup
%patch0 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -fr %{buildroot}

make PREFIX=$RPM_BUILD_ROOT install

ln -s ../testscripts/mixer $RPM_BUILD_ROOT/usr/bin/mixer

%post
test -c /dev/nwbutton || mknod /dev/nwbutton c 10 158

%clean
rm -fr %{buildroot}

%files
/usr/testscripts/audio
/usr/testscripts/button
/usr/testscripts/mixer
/usr/testscripts/vgamod
/usr/testscripts/stereo.wav
/usr/bin/diag
/usr/bin/mixer

%changelog
* Thu Jan 20 2000 Rod m. Stewart <stewart@netwinder.org>
- add in a delay for audio 

* Tue Jan 11 2000 Rod m. Stewart <stewart@netwinder.org>
- add option to run all tests in one go

* Tue Dec 14 1999 Rod m. Stewart <stewart@netwinder.org>
- clean ups

* Tue Aug 3 1999 Ralph Siemsen <ralphs@netwinder.org>
- Checked into CVS and adapted so it could be built from there.

